#ifndef MAP_DATA_H
#define MAP_DATA_H

#include <Eigen/Core>
#include <Eigen/Dense>
#include <vector>

namespace Localization
{
namespace PointLoc
{

struct LineWithId {
  uint8_t id;
  uint8_t type;
  std::vector<Eigen::Vector3d> line;
};

struct MapSwitched {
  double stamp_;
  std::vector<std::vector<Eigen::Vector3d>> mapLinesLLA;//lon,lat,alt
  std::vector<std::vector<Eigen::Vector3d>> mapLinesUTM;
  std::vector<std::vector<Eigen::Vector3d>> mapLinesGC;
  std::vector<std::vector<Eigen::Vector3d>> mapLinesGCJ02;
  std::vector<double> mapc0s, mapc1s;
};

} // namespace PointLoc
} // namespace Localization
#endif
